Status: Closed

Priority: Normal

Assignee: Nyall Dawson

Category: Expressions

Affected QGIS version:3.2.3 Regression?: No

Operating System: Easy fix?: Yes

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27720

Description

Hi

I downloaded QGIS 3.2.3 and I tried to change the composer(Atlas) > map layer > controlled by atlas > margin around a feature >

expressions, but it did not work(no apply).

Expressions didn't work, so I tried other variables or attribute fields, even constant(like '100') but it didn't work.

It worked when I used number to input box(%).

I thought it was a bug, so I tried with other old QGIS version, but it was same.

Can you fix this bug to next version, please?

Thank you.

Associated revisions

Revision c94eefb6 - 2018-10-22 09:57 PM - Nyall Dawson

[layouts] Fix data defined atlas margin isn't evaluated

Fixes #19896

History

#1 - 2018-10-22 04:47 AM - Nyall Dawson

- Assignee set to Nyall Dawson

- Status changed from Open to In Progress

#2 - 2018-10-22 10:56 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|c94eefb6df0bf9e504452986da943d7b9f8574c8.

#3 - 2018-10-29 04:05 AM - woo cho
Nyall Dawson wrote:

Applied in changeset commit:qgis|c94eefb6df0bf9e504452986da943d7b9f8574c8.

Thanks a lot for your update.

It works properly at the new version. :-)

Have a nice day!
